protolabs42

invites/create

Create an invite code (admin only).

POST
/rpc#invites.create

Create an invite code (admin only).

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://chorus.runclaw.run/rpc#invites.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "agent"  }'
{
  "id": "string",
  "code": "string",
  "name": "string",
  "type": "agent",
  "created_by": "string",
  "permissions": {
    "property1": null,
    "property2": null
  },
  "redeemed": false,
  "redeemed_by": "string",
  "created_at": "string",
  "redeemed_at": "string"
}